Bug 173127 - Additional mail/qmail-scanner patch
Additional mail/qmail-scanner patch
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Chris Rees
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-26 16:50 UTC by wolson
Modified: 2013-01-21 18:03 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description wolson 2012-10-26 16:50:01 UTC
This is an updated patch for /usr/ports/qmail/qmail-scanner which includes the files/patch-configure as well as the ST patch created by Salvatore Toribio. This is a patched version (ergo unofficial) of qmail-scanner-2.10, that adds some options focused in deal with spam and others features. This is copied by permission by the author.

http://toribio.apollinare.org/qmail-scanner/

How-To-Repeat: cd /usr/ports/mail/qmail-scanner/files
rm patch-configure
fetch http://freebsdrocks.net/files/patch-configure
cd /usr/ports/mail/qmail-scanner/
make patch
Comment 1 Edwin Groothuis freebsd_committer 2012-10-27 00:47:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lippe

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 utisoft 2013-01-03 14:47:57 UTC
Hi Felippe,

This looks useful.  Would you mind if I committed it?

Chris
Comment 3 Chris Rees freebsd_committer 2013-01-03 16:30:08 UTC
Responsible Changed
From-To: lippe->crees

Maintainer approved
Comment 4 dfilter freebsd_committer 2013-01-21 17:36:06 UTC
Author: crees
Date: Mon Jan 21 17:35:52 2013
New Revision: 310777
URL: http://svnweb.freebsd.org/changeset/ports/310777

Log:
  Add additional patch by Salvatore Toribio as an OPTION, on by default
  
  PR:		ports/173127
  Submitted by:	William Olson <wolson@gmail.com>
  Approved by:	lippe (maintainer)
  Obtained from:	http://toribio.apollinare.org/qmail-scanner/
  
  While here, convert to OPTIONSng
  
  Approved by:	lippe (maintainer)

Added:
  head/mail/qmail-scanner/files/extra-patch-configure
     - copied unchanged from r309902, head/mail/qmail-scanner/files/patch-configure
Deleted:
  head/mail/qmail-scanner/files/patch-configure
Modified:
  head/mail/qmail-scanner/Makefile
  head/mail/qmail-scanner/distinfo

Modified: head/mail/qmail-scanner/Makefile
==============================================================================
--- head/mail/qmail-scanner/Makefile	Mon Jan 21 17:26:10 2013	(r310776)
+++ head/mail/qmail-scanner/Makefile	Mon Jan 21 17:35:52 2013	(r310777)
@@ -1,12 +1,9 @@
-# New ports collection makefile for:   qmail-scanner
-# Date created:	       2003-08-24
-# Whom:                moeti
-#
+# Created by: moeti <freebsd@simplerezo.com>
 # $FreeBSD$
-#
 
 PORTNAME=	qmail-scanner
 PORTVERSION=	2.10
+PORTREVISION=	1
 CATEGORIES=	mail security
 MASTER_SITES=	SF
 EXTRACT_SUFX=	.tgz
@@ -56,11 +53,15 @@ CONTRIB=	mrtg-qmail-scanner.cfg check_AV
 		test-sophie.pl test-trophie.pl test_installation.sh test_password.zip \
 		qmail-scanner-queue.c
 
-OPTIONS=	TNEF "Mark Simpson's Patch (Recommended)" on \
-		FIX_MIME "Fix broken MIME messages" off \
-		REDUNDANT "Scan attachments and body mails" on \
-		NORMALIZE "Decode encoded headers per MIME Base64" off \
-		CWRAPPER "use C wrapper (no suid perl script needed)" on
+OPTIONS_DEFINE=	TNEF FIX_MIME REDUNDANT NORMALIZE CWRAPPER STPATCH
+OPTIONS_DEFAULT=TNEF REDUNDANT CWRAPPER STPATCH
+
+TNEF_DESC=	Mark Simpson\'s Patch (Recommended)
+FIX_MIME_DESC=	Fix broken MIME messages
+REDUNDANT_DESC=	Scan attachments and body mails
+NORMALIZE_DESC=	Decode encoded headers per MIME Base64
+CWRAPPER_DESC=	C wrapper (no suid perl script needed)
+STPATCH_DESC=	st patch from toribio.apollinare.org
 
 SUB_FILES=	pkg-deinstall pkg-install pkg-message
 SUB_LIST+=	QS_USER=${QS_USER} \
@@ -70,24 +71,24 @@ SUB_LIST+=	QS_USER=${QS_USER} \
 .include <bsd.port.pre.mk>
 
 # Options
-.if defined(WITH_TNEF)
+.if ${PORT_OPTIONS:MTNEF}
 BUILD_DEPENDS+=	${LOCALBASE}/bin/tnef:${PORTSDIR}/converters/tnef
 RUN_DEPENDS+=	${LOCALBASE}/bin/tnef:${PORTSDIR}/converters/tnef
 .endif
 
-.if !defined(WITH_FIX_MIME)
+.if ! ${PORT_OPTIONS:MFIX_MIME}
 CONFIGURE_ARGS+=	--fix-mime no
 .endif
 
-.if !defined(WITH_REDUNDANT)
+.if ! ${PORT_OPTIONS:MREDUNDANT}
 CONFIGURE_ARGS+=	--redundant no
 .endif
 
-.if !defined(WITH_NORMALIZE)
+.if ! ${PORT_OPTIONS:MNORMALIZE}
 CONFIGURE_ARGS+=	--normalize no
 .endif
 
-.if defined(WITH_CWRAPPER)
+.if ${PORT_OPTIONS:MCWRAPPER}
 SUB_LIST+=	CWRAPPER=yes
 SUB_LIST+=	QSQ_TARGET=qmail-scanner-queue
 CWRAPPER_FLG=	yes
@@ -100,6 +101,13 @@ CWRAPPER_FLG=	no
 PLIST_SUB+=	CWRAPPER="@comment "
 .endif
 
+.if ${PORT_OPTIONS:MSTPATCH} || make (makesum)
+PATCH_SITES=	http://freebsdrocks.net/files9/
+PATCHFILES=	patch-configure-qms
+.else
+EXTRA_PATCHES=	${FILESDIR}/extra-patch-configure
+.endif
+
 .if defined(QS_USER)
 CONFIGURE_ARGS+=	--qs-user "${QS_USER}"
 .endif

Modified: head/mail/qmail-scanner/distinfo
==============================================================================
--- head/mail/qmail-scanner/distinfo	Mon Jan 21 17:26:10 2013	(r310776)
+++ head/mail/qmail-scanner/distinfo	Mon Jan 21 17:35:52 2013	(r310777)
@@ -1,2 +1,4 @@
 SHA256 (qmail-scanner-2.10.tgz) = b6c430c81efd41bd28e56fb60e6e1ecbd98e44346c2faad69ff164960f042247
 SIZE (qmail-scanner-2.10.tgz) = 244402
+SHA256 (patch-configure-qms) = d2aa7cc5d665f988f07ca0e66900ccf55dbeeb5ad75f9be02ba022fae07d0e3c
+SIZE (patch-configure-qms) = 536757

Copied: head/mail/qmail-scanner/files/extra-patch-configure (from r309902, head/mail/qmail-scanner/files/patch-configure)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/qmail-scanner/files/extra-patch-configure	Mon Jan 21 17:35:52 2013	(r310777, copy of r309902, head/mail/qmail-scanner/files/patch-configure)
@@ -0,0 +1,11 @@
+--- configure.old	2012-05-25 16:16:34.000000000 -0300
++++ configure	2012-05-25 16:16:51.000000000 -0300
+@@ -817,7 +817,7 @@
+ 	 UNZIP_OPTIONS=""
+ 	fi
+ 	#Now check we can get filesizes out
+-	EE=`unzip -Ptest -lv contrib/test_password.zip 2>&1|egrep '80688.*test/ls'`
++	EE=`unzip -lv contrib/test_password.zip 2>&1|egrep '80688.*test/ls'`
+ 	if [ "$EE" = "" ]; then
+ 	    echo "**FATAL ERROR ***"
+ 	    echo ""
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Chris Rees freebsd_committer 2013-01-21 18:03:42 UTC
State Changed
From-To: open->closed

Committed. Thanks!